## linux-restricted-modules-oem 4.15.0-1076.86+1

=== debian/changelog ===
linux-restricted-modules-oem (4.15.0-1076.86+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family
  * Bump upload number.

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 06 Mar 2020 19:14:05 +0800

linux-restricted-modules-oem (4.15.0-1076.86) bionic; urgency=medium

  * Master version: 4.15.0-1076.86

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Fri, 28 Feb 2020 17:23:47 -0800

linux-restricted-modules-oem (4.15.0-1075.85) bionic; urgency=medium

  * Master version: 4.15.0-1075.85

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Wed, 26 Feb 2020 12:35:22 -0800

linux-restricted-modules-oem (4.15.0-1074.84) bionic; urgency=medium

  * Master version: 4.15.0-1074.84

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 25 Feb 2020 16:05:15 +0800

linux-restricted-modules-oem (4.15.0-1073.83) bionic; urgency=medium

  * Master version: 4.15.0-1073.83

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Mon, 17 Feb 2020 18:35:29 +0800

linux-restricted-modules-oem (4.15.0-1072.82) bionic; urgency=medium

  * Master version: 4.15.0-1072.82

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 11 Feb 2020 17:27:41 +0800

linux-restricted-modules-oem (4.15.0-1071.81) bionic; urgency=medium

  * Master version: 4.15.0-1071.81

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Sat, 08 Feb 2020 16:50:41 +0800

linux-restricted-modules-oem (4.15.0-1070.80) bionic; urgency=medium

  * Master version: 4.15.0-1070.80

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 06 Feb 2020 19:04:45 +0800

linux-restricted-modules-oem (4.15.0-1069.79) bionic; urgency=medium

  * Master version: 4.15.0-1069.79

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 05 Feb 2020 21:04:39 +0800

linux-restricted-modules-oem (4.15.0-1068.78) bionic; urgency=medium

  * Master version: 4.15.0-1068.78

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Mon, 03 Feb 2020 15:48:56 +0800

linux-restricted-modules-oem (4.15.0-1067.77) bionic; urgency=medium

  * Master version: 4.15.0-1067.77

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kelsey Skunberg <kelsey.skunberg@canonical.com>  Wed, 15 Jan 2020 11:26:14 -0700

linux-restricted-modules-oem (4.15.0-1066.76) bionic; urgency=medium

  * Master version: 4.15.0-1066.76

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 06 Dec 2019 19:13:26 +0800

linux-restricted-modules-oem (4.15.0-1065.75) bionic; urgency=medium

  * Master version: 4.15.0-1065.75
  * Bump upload number.

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 20 Nov 2019 18:40:47 +0800

linux-restricted-modules-oem (4.15.0-1065.74) bionic; urgency=medium

  * Master version: 4.15.0-1065.74

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 15 Nov 2019 19:52:51 +0800

linux-restricted-modules-oem (4.15.0-1064.73) bionic; urgency=medium

  * Master version: 4.15.0-1064.73

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 Nov 2019 13:04:31 +0100

linux-restricted-modules-oem (4.15.0-1063.72) bionic; urgency=medium

  * Master version: 4.15.0-1063.72

 -- Stefan Bader <stefan.bader@canonical.com>  Sat, 09 Nov 2019 19:00:30 +0100

linux-restricted-modules-oem (4.15.0-1062.71) bionic; urgency=medium

  * Master version: 4.15.0-1062.71

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 07 Nov 2019 16:52:24 +0800

linux-restricted-modules-oem (4.15.0-1061.70) bionic; urgency=medium

  * Master version: 4.15.0-1061.70

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Sat, 02 Nov 2019 21:20:37 +0800

linux-restricted-modules-oem (4.15.0-1060.69) bionic; urgency=medium

  * Master version: 4.15.0-1060.69

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 23 Oct 2019 18:07:59 +0800

linux-restricted-modules-oem (4.15.0-1059.68) bionic; urgency=medium

  * Master version: 4.15.0-1059.68

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Oct 2019 20:56:36 +0300

linux-restricted-modules-oem (4.15.0-1058.67) bionic; urgency=medium

  * Master version: 4.15.0-1058.67

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 04 Oct 2019 16:42:14 +0800

linux-restricted-modules-oem (4.15.0-1057.66) bionic; urgency=medium

  * Master version: 4.15.0-1057.66

  * Miscellaneous upstream changes
    - update-version: add "oem" to tag_prefix

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 18 Sep 2019 22:07:44 +0800

linux-restricted-modules-oem (4.15.0-1056.65) bionic; urgency=medium

  * Master version: 4.15.0-1056.65

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 12 Sep 2019 22:09:14 +0200

linux-restricted-modules-oem (4.15.0-1055.64) bionic; urgency=medium

  * Master version: 4.15.0-1055.64

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 12 Sep 2019 16:12:13 +0800

linux-restricted-modules-oem (4.15.0-1054.63) bionic; urgency=medium

  * Master version: 4.15.0-1054.63

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 10 Sep 2019 19:24:58 +0800

linux-restricted-modules-oem (4.15.0-1053.62) bionic; urgency=medium

  * Master version: 4.15.0-1053.62

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 06 Sep 2019 17:59:51 +0800

linux-restricted-modules-oem (4.15.0-1052.61) bionic; urgency=medium

  * Master version: 4.15.0-1052.61

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 03 Sep 2019 20:41:31 +0800

linux-restricted-modules-oem (4.15.0-1051.60) bionic; urgency=medium

  * Master version: 4.15.0-1051.60


