=== debian/control ===
Source: linux-restricted-modules-oem
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 curl,
 gawk,
 linux-headers-4.15.0-1076-oem (>= 4.15.0-1076.86),
 linux-buildinfo-4.15.0-1076-oem (>= 4.15.0-1076.86),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules-oem/+git/bionic

Package: linux-modules-nvidia-390-4.15.0-1076-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-4.15.0-1076-oem | linux-image-unsigned-4.15.0-1076-oem, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 4.15.0-1076
 This package contains the Linux kernel nvidia modules for version 4.15.0-1076.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-390-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-390-4.15.0-1076-oem (= ${binary:Version})
Description: Extra drivers for nvidia-390 for the oem flavour
 Install extra signed nvidia-390 modules compatible with the oem flavour.
