## linux-restricted-modules-oem 4.15.0-1103.114

=== debian/changelog ===
linux-restricted-modules-oem (4.15.0-1103.114) bionic; urgency=medium

  * Master version: 4.15.0-1103.114

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 12 Nov 2020 11:01:49 +0800

linux-restricted-modules-oem (4.15.0-1102.113) bionic; urgency=medium

  * Master version: 4.15.0-1102.113

  * Introduce the new NVIDIA 455 series (LP: #1902093)
    - [Packaging] NVIDIA -- provide the nvidia-prebuilt-kernel virtual package
    - [Packaging] NVIDIA -- Add the 455 driver

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 06 Nov 2020 19:46:48 +0100

linux-restricted-modules-oem (4.15.0-1101.112) bionic; urgency=medium

  * Master version: 4.15.0-1101.112

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 21 Oct 2020 15:19:52 +0200

linux-restricted-modules-oem (4.15.0-1100.110) bionic; urgency=medium

  * Master version: 4.15.0-1100.110

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 15 Oct 2020 16:44:46 +0200

linux-restricted-modules-oem (4.15.0-1099.109) bionic; urgency=medium

  * Master version: 4.15.0-1099.109

  * Packaging resync (LP: #1786013)
    - [Packaging] Auto-sync build environment

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 07 Oct 2020 11:04:05 -0300

linux-restricted-modules-oem (4.15.0-1098.108) bionic; urgency=medium

  * Master version: 4.15.0-1098.108

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 24 Sep 2020 14:44:36 +0800

linux-restricted-modules-oem (4.15.0-1097.107) bionic; urgency=medium

  * Master version: 4.15.0-1097.107

  * Introduce the new NVIDIA 450-server and the 450 UDA series (LP: #1887674)
    - [Packaging] Move to nvidia-450 driver series

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kelsey Skunberg <kelsey.skunberg@canonical.com>  Tue, 08 Sep 2020 21:04:20 -0600

linux-restricted-modules-oem (4.15.0-1096.106) bionic; urgency=medium

  * Master version: 4.15.0-1096.106

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Sat, 05 Sep 2020 17:48:32 +0200

linux-restricted-modules-oem (4.15.0-1095.105) bionic; urgency=medium

  * Master version: 4.15.0-1095.105

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 04 Sep 2020 17:05:08 +0800

linux-restricted-modules-oem (4.15.0-1094.104) bionic; urgency=medium

  * Master version: 4.15.0-1094.104

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Mon, 17 Aug 2020 16:12:06 +0800

linux-restricted-modules-oem (4.15.0-1093.103) bionic; urgency=medium

  * Master version: 4.15.0-1093.103

 -- Kelsey Skunberg <kelsey.skunberg@canonical.com>  Tue, 14 Jul 2020 13:05:24 -0600

linux-restricted-modules-oem (4.15.0-1092.102+1) bionic; urgency=medium

  * Miscellaneous Ubuntu changes
    - debian/rules -- adding missing space for dkms versions

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 07 Jul 2020 17:27:26 +0800

linux-restricted-modules-oem (4.15.0-1092.102) bionic; urgency=medium

  * Master version: 4.15.0-1092.102

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Fri, 03 Jul 2020 21:55:33 +0800

linux-restricted-modules-oem (4.15.0-1091.101) bionic; urgency=medium

  * Master version: 4.15.0-1091.101

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 25 Jun 2020 13:38:54 -0300

linux-restricted-modules-oem (4.15.0-1090.100) bionic; urgency=medium

  * Master version: 4.15.0-1090.100

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * CVE-2020-5963 // CVE-2020-5967
    - [Packaging] rules -- expose dkms provides data
    - [Config] expose provides information on meta packages
    - [Packaging] rules -- expose nvidia-kernel-common dependency data
    - [packaging] expose dependency on nvidia-kernel-common on meta packages

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 22 Jun 2020 18:03:27 +0200

linux-restricted-modules-oem (4.15.0-1088.98) bionic; urgency=medium

  * Master version: 4.15.0-1088.98

 -- Kelsey Skunberg <kelsey.skunberg@canonical.com>  Fri, 12 Jun 2020 09:09:08 -0600

linux-restricted-modules-oem (4.15.0-1087.97) bionic; urgency=medium

  * Master version: 4.15.0-1087.97

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 05 Jun 2020 10:49:29 +0200

linux-restricted-modules-oem (4.15.0-1082.92) bionic; urgency=medium

  * Master version: 4.15.0-1082.92

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Mon, 25 May 2020 12:32:02 +0800

linux-restricted-modules-oem (4.15.0-1081.91) bionic; urgency=medium

  * Master version: 4.15.0-1081.91

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 30 Apr 2020 22:45:57 +0800

linux-restricted-modules-oem (4.15.0-1080.90) bionic; urgency=medium

  * Master version: 4.15.0-1080.90

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 09 Apr 2020 17:01:44 +0800

linux-restricted-modules-oem (4.15.0-1079.89) bionic; urgency=medium


