## linux-restricted-modules-oem 4.15.0-1104.115

=== debian/changelog ===
linux-restricted-modules-oem (4.15.0-1104.115) bionic; urgency=medium

  * Master version: 4.15.0-1104.115

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Thu, 03 Dec 2020 21:05:16 +0800
