=== debian/control ===
Source: linux-restricted-modules-oem
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 curl <!stage1>,
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 gawk,
 linux-headers-4.15.0-1104-oem (>= 4.15.0-1104.115),
 linux-buildinfo-4.15.0-1104-oem (>= 4.15.0-1104.115),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-oem/+git/bionic -b oem

Package: linux-modules-nvidia-390-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-390-modules}
Depends:
 ${misc:Depends},
 linux-modules-nvidia-390-4.15.0-1104-oem (= ${binary:Version}),
 ${nvk:nvidia-390}
Description: Extra drivers for nvidia-390 for oem
 Install extra signed nvidia-390 modules compatible with the oem flavour

Package: linux-modules-nvidia-455-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-455-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-455-4.15.0-1104-oem (= ${binary:Version}),
 ${nvk:nvidia-455}
Description: Extra drivers for nvidia-455 for oem
 Install extra signed nvidia-455 modules compatible with the oem flavour

Package: linux-modules-nvidia-450-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-450-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-450-4.15.0-1104-oem (= ${binary:Version}),
 ${nvk:nvidia-450}
Description: Extra drivers for nvidia-450 for oem
 Install extra signed nvidia-450 modules compatible with the oem flavour

Package: linux-modules-nvidia-435-oem
Architecture: amd64
Section: oldlibs
Depends: linux-modules-nvidia-455-oem
Description: Extra drivers for nvidia-435 for the oem flavour (dummy transitional package)
 Transitional package for upgrades of -435 to -455.

Package: linux-modules-nvidia-440-oem
Architecture: amd64
Section: oldlibs
Depends: linux-modules-nvidia-450-oem
Description: Transitional package for nvidia-440-oem
 This is a transitional package for nvidia-440-oem,
 and can be safely removed after the installation is complete.

Package: linux-modules-nvidia-390-4.15.0-1104-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
 linux-image-4.15.0-1104-oem | linux-image-unsigned-4.15.0-1104-oem,
Description: Linux kernel nvidia modules for version 4.15.0-1104
 This package contains the Linux kernel nvidia modules for version 4.15.0-1104.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-390-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-455-4.15.0-1104-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
 linux-image-4.15.0-1104-oem | linux-image-unsigned-4.15.0-1104-oem,
Description: Linux kernel nvidia modules for version 4.15.0-1104
 This package contains the Linux kernel nvidia modules for version 4.15.0-1104.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-455-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-450-4.15.0-1104-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
 linux-image-4.15.0-1104-oem | linux-image-unsigned-4.15.0-1104-oem,
Description: Linux kernel nvidia modules for version 4.15.0-1104
 This package contains the Linux kernel nvidia modules for version 4.15.0-1104.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-450-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.
